//
// 2008. 9. 22.
//
//    http://www.opencv.co.kr
//    http://www.t9t9.com
//

#include <cv.h>
#include <highgui.h>
#include <cvcam.h>

void callback(IplImage* image);

void cvShow(char *win_name, IplImage *img, int width=0, int height=0)
{
	if(width==0){
		cvNamedWindow( win_name, 1);
	} else{
		cvNamedWindow( win_name, 0);
		cvResizeWindow( win_name, width, height);
	}
	cvShowImage( win_name, img );
}

void main()
{
	int *nCam = NULL;
	int nSelected = cvcamSelectCamera(&nCam); // ī޶  ޴ 
	//int nSelected = cvcamGetCamerasCount(); // ڵ 

	cvcamSetProperty(*nCam, CVCAM_PROP_ENABLE, CVCAMTRUE);
	cvcamSetProperty(*nCam, CVCAM_PROP_RENDER, CVCAMTRUE); 

	cvcamGetProperty(*nCam, CVCAM_VIDEOFORMAT, NULL); // ػ,   
	//cvcamGetProperty(*nCam, CVCAM_CAMERAPROPS, NULL); // Ÿ ¾, , ȭƮ 뷱

	int width = 640,
		height = 480;
	
	cvcamSetProperty(*nCam, CVCAM_RNDWIDTH, &width);		// ī޶ Է  ʺ
	cvcamSetProperty(*nCam, CVCAM_RNDHEIGHT, &height);		// ī޶ Է  

	cvcamSetProperty(*nCam, CVCAM_PROP_CALLBACK, callback);	// frame  ȣ Լ
	
	cvcamInit( );
	cvcamStart( );
	
	cvWaitKey(0);

	cvcamStop( );
	cvcamExit( );

	cvDestroyAllWindows();
}

void callback(IplImage* img)
{
	// ̰ image ͸  ó ۾ ϸ ˴ϴ.
}
